Name:           magicrescue
Version:        1.1.10
Release:        %mkrel 3
Summary:        Tries to recover files
License:        GPLv2+
Group:          File tools
URL:            https://github.com/jbj/magicrescue
Source0:        https://github.com/jbj/magicrescue/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gdbm-devel
Conflicts:      safecat
Requires:       binutils
Requires:       gzip
Requires:       mencoder
Requires:       mpg123

%global __requires_exclude  %{?__requires_exclude}|^perl\\(laola.pl\\)

%description
Magic Rescue scans a block device for file types it knows how to recover and
calls an external program to extract them.  It looks at "magic bytes" in file
contents, so it can be used both as an undelete utility and for recovering a
corrupted drive or partition.  As long as the file data is there, it will find
it. It works on any file system.

%prep
%setup -q

# fix man install path
sed -i 's|\$(INSTALLDIR)/man/man1|\$(INSTALLDIR)/share/man/man1|g' Makefile.in

%build
%configure
%make_build

%install
%make_install

# move binaries from /usr/share
mv %{buildroot}%{_datadir}/magicrescue/tools/inputseek %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/magicrescue/tools/safecat %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/magicrescue/tools/textextract %{buildroot}%{_bindir}


%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_datadir}/magicrescue/
%{_mandir}/man1/*


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.1.10-3.mga9
+ Revision: 1797726
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.10-2.mga8
+ Revision: 1521795
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 02 2019 daviddavid <daviddavid> 1.1.10-1.mga7
+ Revision: 1348620
- new version: 1.1.10
- update URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 1.1.9-9.mga7
+ Revision: 1299435
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 1.1.9-8.mga6
+ Revision: 936007
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.9-7.mga5
+ Revision: 738940
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.1.9-6.mga5
+ Revision: 732821
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 1.1.9-5.mga5
+ Revision: 682131
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.9-4.mga4
+ Revision: 507704
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 359300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.1.9-2.mga3
+ Revision: 308529
- update RPM group

* Mon Feb 13 2012 juancho <juancho> 1.1.9-1.mga2
+ Revision: 208327
- Adjusted mkrel to 1 (no release until now)
- Removed non-existent BR db4-devel and changed it for dgbm-devel as Mandriva uses.
- Removed all not required BuildRoot stuff.
+ kharec <kharec>
- imported package magicrescue


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.9-2mdv2011.0
+ Revision: 612791
- the mass rebuild of 2010.1 packages

* Tue Apr 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.1.9-1mdv2010.1
+ Revision: 534189
- New version 1.1.9

* Wed Dec 30 2009 Jérôme Brenier <incubusss@mandriva.org> 1.1.8-1mdv2010.1
+ Revision: 484226
- new version 1.1.8

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.1.6-2mdv2010.0
+ Revision: 439698
- rebuild

* Sat Feb 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.1.6-1mdv2009.1
+ Revision: 346114
- New version 1.1.6

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.1.5-3mdv2009.0
+ Revision: 251670
- rebuild

* Tue Feb 05 2008 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2008.1
+ Revision: 162532
- New version 1.1.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 David Walluck <walluck@mandriva.org> 1.1.4-3mdv2008.0
+ Revision: 56777
- rebuild for %%mkrel
- fix BuildRequires


* Thu Sep 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-2mdk
- fix #18915

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- from Dominik Grafenhofer <dominik@grafenhofer.at> : 
	- First build

